Name:           nautilus-sendto
Version:        1.0.1
Release: 	6%{?dist}
Summary:        Nautilus context menu for sending files

Group:          User Interface/Desktops
License:        GPL
URL:            ftp://ftp.gnome.org/pub/gnome/sources/%{name}
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, libglade2-devel, evolution-data-server-devel, libgnomeui-devel
BuildRequires:	nautilus-devel >= 2.5.4
%ifnarch s390 s390x
BuildRequires:	pidgin-devel >= 1.0
%endif
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
BuildRequires:  intltool

# For compat with old nautilus-sendto packaging
Provides: nautilus-sendto-gaim

# For the icon changes
Patch0: nst-use-old-icon.patch

%description
The nautilus-sendto package provides a Nautilus context menu for
sending files via other desktop applications.  These functions are
implemented as plugins, so nautilus-sendto can be extended with
additional features.  This package provides a default plugin for
Evolution integration.


%ifnarch s390 s390x
%package bluetooth
Summary:	Nautilus integration for Bluetooth
Group:		User Interface/Desktops
BuildRequires:	gnome-bluetooth-devel, bluez-libs-devel
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-bluetooth

%description bluetooth
A nautilus-sendto plugin for sending files via Bluetooth.
%endif

%prep
%setup -q
%patch0 -p1 -b .old-icon

%build
%configure --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT \( -name '*.a' -o -name '*.la' \) -exec rm -f {} \;
# Not 100% needed for now
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas/nst.schemas

%ifarch s390 s390x
# Also remove the bluetooth plugin on s390
rm -f $RPM_BUILD_ROOT/%{_libdir}/nautilus-sendto/plugins/libnstbluetooth.so
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/nautilus/extensions-*/libnautilus-sendto.so
%dir %{_libdir}/nautilus-sendto
%dir %{_libdir}/nautilus-sendto/plugins
%{_libdir}/nautilus-sendto/plugins/libnstevolution.so
%{_libdir}/nautilus-sendto/plugins/libnstsylpheed.so
%{_datadir}/nautilus-sendto
%{_bindir}/nautilus-sendto
%{_mandir}/man1/nautilus-sendto.1.gz
%ifnarch s390 s390x
# We put pidgin in the main package, because its small, has
# no dependencies and isn't activated unless you use pidgin
%{_libdir}/pidgin/nautilus.so
%{_libdir}/nautilus-sendto/plugins/libnstpidgin.so
%endif
# same for thunderbird
%{_libdir}/nautilus-sendto/plugins/libnstthunderbird.so


%ifnarch s390 s390x
%files bluetooth
%defattr(-,root,root,-)
%{_libdir}/nautilus-sendto/plugins/libnstbluetooth.so
%endif

%changelog
* Tue Jul 21 2009 Bastien Nocera <bnocera@redhat.com> 1.0.1-6
- Using the libgnomeui stock icons requires to link against
  libgnomeui and init our app as a GNOME app, which we don't
  want to do. Use the evolution icon instead
Related: rhbz#250403

* Thu Jul 16 2009 Bastien Nocera <bnocera@redhat.com> 1.0.1-5
- Require libgnome in the glade file, so that the GNOME
  stock icons can be used
Related: rhbz#250403

* Tue May 26 2009 Bastien Nocera <bnocera@redhat.com> 1.0.1-4
- Don't require pidgin on s390, as the packages went away there...
Related: rhbz#250403

* Tue May 26 2009 Bastien Nocera <bnocera@redhat.com> 1.0.1-3
- Add patch to use the old icon, as document-send isn't available
  in RHEL-5
Related: rhbz#250403

* Fri Sep 19 2008 - Bastien Nocera <bnocera@redhat.com> - 1.0.1-2
- Rebuild in the right collection
Related: rhbz#250403

* Wed Sep 17 2008 - Bastien Nocera <bnocera@redhat.com> - 1.0.1-1
- Update to 1.0.1
- Fix GAIM/Pidgin problems
Related: rhbz#250403

* Sat Sep 16 2006 Matthias Clasen <mclasen@redhat.com> - 0.7-5
- Include Thunderbird support and make it work
- Add missing BRs

* Mon Aug 14 2006 Alexander Larsson <alexl@redhat.com> - 0.7-4
- Buildrequire nautilus-devel

* Thu Aug 10 2006 Alexander Larsson <alexl@redhat.com> - 0.7-3
- Make nautilus-sendto-bluetooth require gnome-bluetooth (#201908)

* Sat Aug 05 2006 Caolan McNamara <caolanm@redhat.com> - 0.7-2
- rebuild against new e-d-s

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7-1.1
- rebuild

* Tue Jul 11 2006 Matthias Clasen  <mclasen@redhat.com> - 0.7-1
- Update to 0.7

* Wed Jun 14 2006 Alexander Larsson <alexl@redhat.com> - 0.5-4
- Rebuild again, hopefully fixing libbluetooth issue

* Mon Jun 12 2006 Alexander Larsson <alexl@redhat.com> - 0.5-3
- Rebuild for new libbluetooth soname

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> 0.5-2
- Add missing BuildRequires

* Mon May 22 2006 Alexander Larsson <alexl@redhat.com> 0.5-1
- Update to 0.5
- Add libgnomeui-devel buildreq

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.4-7.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4-7.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 David Malcolm <dmalcolm@redhat.com> 0.4-7
- rebuild for new e-d-s

* Tue Dec 20 2005 Alexander Larsson <alexl@redhat.com> 0.4-6
- Rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.4-5
- Build in Core
- Move gaim plugin into main package
- Fix up some build requirements
- No bluetooth on s390*

* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-4
- Eliminate superfluous Requires

* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-3
- Rearrange Requires and BuildRequires for subpackages
- Include default Evolution plugin in main package

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-2
- Use appropriate BuildRequires for nautilus and gaim

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-1
- Initial version
